Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.taglib.util
Class ForEachInArrayTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--javax.servlet.jsp.tagext.BodyTagSupport
                  |
                  +--com.bea.p13n.taglib.util.ForEachInArrayTag

public class ForEachInArrayTag
extends javax.servlet.jsp.tagext.BodyTagSupport

Implements the methods necessary to support the `forEachInArray` tag.

See Also:
  Serialized Form

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`ForEachInArrayTag()`

Method Summary
`int` | `doAfterBody()` Called when the end of the tag body is reached
`int` | `doStartTag()` Called when the tag starts.
`java.lang.Object[]` | `getArray()` Get the value of array.
`java.lang.String` | `getCounterId()` Get the value of counterId.
`java.lang.String` | `getId()` Get the value of id.
`java.lang.String` | `getType()` Get the value of type.
`void` | `setArray(java.lang.Object[] theArray)` Set the value of arrayName.
`void` | `setCounterId(java.lang.String theCounterId)` Set the value of counterId.
`void` | `setId(java.lang.String theId)` Set the value of id.
`void` | `setType(java.lang.String theType)` Set the value of type.

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doEndTag, doInitBody, getBodyContent, getPreviousOut, release, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ForEachInArrayTag

    public ForEachInArrayTag()

Method Detail

### setArray

    public void setArray(java.lang.Object[] theArray)

  Set the value of arrayName.

  Parameters:
    `theArray` - Value to assign to array.

### getArray

    public java.lang.Object[] getArray()

  Get the value of array.

  Returns:
    Value of array.

### setCounterId

    public void setCounterId(java.lang.String theCounterId)

  Set the value of counterId.

  Parameters:
    `theCounterId` - Value to assign to counterId.

### getCounterId

    public java.lang.String getCounterId()

  Get the value of counterId.

  Returns:
    Value of counterId.

### setId

    public void setId(java.lang.String theId)

  Set the value of id.

  Parameters:
    `theId` - Value to assign to id.
  Overrides:
    setId in class javax.servlet.jsp.tagext.TagSupport

### getType

    public java.lang.String getType()

  Get the value of type.

  Returns:
    Value of type.

### setType

    public void setType(java.lang.String theType)

  Set the value of type.

  Parameters:
    `theId` - Value to assign to type.

### getId

    public java.lang.String getId()

  Get the value of id.

  Returns:
    Value of id.
  Overrides:
    getId in class javax.servlet.jsp.tagext.TagSupport

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Called when the tag starts.

  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.BodyTagSupport

### doAfterBody

    public int doAfterBody()
                    throws javax.servlet.jsp.JspException

  Called when the end of the tag body is reached

  Overrides:
    doAfterBody in class javax.servlet.jsp.tagext.BodyTagSupport

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved